GetHub - GET
|
Path |
/api/projects/{projectId}/model/hub/{hubId} |
|---|---|
|
Http Method |
GET |
Overview
Get a hub.
Required permissions
-
Write access to the Build module. BUILD READ
Response
Success response (200 OK)
{
"id": "0e91c16d-71a5-4375-85e5-506107482e73",
"name": "MyHub",
"entityType": "Hub",
"businessDescription": "hub business description",
"technicalDescription": "hub technical description",
"deployedInProduction": false,
"tableName": "dv.h_MyHub",
"businessKey": {
"length": 255,
"name": "businessKey",
"type": "String"
},
"ignoreBusinessKeyCase": false
}
Response fields
|
Field |
Type |
Description |
|---|---|---|
|
id |
string |
The app-generated unique id of the concept. |
|
name |
string |
The name of the concept. |
|
entityType |
string |
“Hub” |
|
businessDescription |
string |
The business description of the hub. |
|
technicalDescription |
string |
The technical description of the hub. |
|
deployedInProduction |
boolean |
deprecated always false |
|
tableName |
string |
The default technical name that will be used when trying to deploy this entity’s table. |
|
businessKey |
object |
The details about the business key of the hub. |
|
businessKey.length |
string |
The length of the business key. |
|
businessKey.name |
string |
The name of the business key. |
|
businessKey.type |
string |
The type of the business key. Only “String“ is supported |
|
ignoreBusinessKeyCase |
boolean |
Whether the case of business keys are used to determined their unicity. |
Response links and embedded objects
|
Name |
Link |
Constraints |
|---|---|---|
|
project |
|
|
|
satellites |
|
|
|
pitTables |
|
|
|
mappings |
|
|